### Method

# Foundry GitCommitBuilder set_author_name

since: 1.1

#### Declaration [src]

    void
    foundry_git_commit_builder_set_author_name (
      FoundryGitCommitBuilder* self,
      const char* author_name
    )

#### Description [src]

Sets the author name that will be used for the commit.

If set to `NULL` or not set, the value from git config “user.name” will be used when creating the commit.

Available since: 1.1

Sets property | `Foundry.GitCommitBuilder:author-name`

#### Parameters

`author_name`

  Type: `const char*`

  The author name to use, or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.